/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controller;

import domain.Manufacturer;
import domain.Product;
import domain.User;
import java.util.List;
import service.ServiceManufacturer;
import service.ServiceProduct;
import service.impl.ServiceManufacturerImpl;
import service.impl.ServiceProductImpl;
import storage.StorageManufacturer;
import storage.StorageProduct;
import storage.StorageUser;
import storage.impl.database.StorageDatabaseManufacturer;
import storage.impl.database.StorageDatabaseProduct;
import storage.impl.memory.StorageMemoryManufacturer;
import storage.impl.memory.StorageMemoryProduct;
import storage.impl.memory.StorageMemoryUser;

/**
 *
 * @author student1
 */
public class Controller {
    private static Controller instance;
    //private StorageManufacturer storageManufacturer;
    private ServiceManufacturer serviceManufacturer;
    private StorageUser storageUser;
    //private StorageProduct storageProduct;
    private ServiceProduct serviceProduct;

    private Controller() {
        //storageManufacturer=new StorageMemoryManufacturer();
        //storageManufacturer=new StorageDatabaseManufacturer();
        serviceManufacturer=new ServiceManufacturerImpl();
        serviceProduct=new ServiceProductImpl();
        storageUser=new StorageMemoryUser();
        //storageProduct=new StorageMemoryProduct();
        //storageProduct=new StorageDatabaseProduct();
    }
    
    public static Controller getInstance(){
        if(instance==null){
            instance=new Controller();
        }
        return instance;
    }
    
    public User logIn(String username, String password) throws Exception{
        List<User> users=storageUser.getAll();
        for (User user : users) {
            if(user.getUsername().equalsIgnoreCase(username)){
                if(user.getPassword().equals(password)){
                    return user;
                }else{
                    throw new Exception("Pogresna lozinka!");
                }
            }
        }
        throw new Exception("Korisnik sa unetim korisnickim imenom nije registrovan!");
    }
    
    public List<Manufacturer> getAllManufacturers() throws Exception{
        //return storageManufacturer.getAll();
        return serviceManufacturer.getAllManufacturers();
    }
    
    public void addNewProduct(Product product) throws Exception{
        serviceProduct.addNewProduct(product);
    }
    
    public List<Product> getAllProducts() throws Exception{
        return serviceProduct.getAllProducts();
    }
    
}
