/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package service.impl;

import domain.Product;
import java.util.List;
import service.ServiceProduct;
import storage.StorageProduct;
import storage.impl.database.StorageDatabaseProduct;

/**
 *
 * @author student1
 */
public class ServiceProductImpl implements ServiceProduct{
    private final StorageProduct storageProduct;

    public ServiceProductImpl() {
        this.storageProduct = new StorageDatabaseProduct();
    }
    
    
    @Override
    public void addNewProduct(Product product) throws Exception {
        storageProduct.add(product);
    }

    @Override
    public List<Product> getAllProducts() throws Exception {
        return storageProduct.getAll();
    }
    
}
