/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package storage.impl.database;

import database.ConnectionFactory;
import domain.Manufacturer;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import storage.StorageManufacturer;

/**
 *
 * @author student1
 */
public class StorageDatabaseManufacturer implements StorageManufacturer{

    @Override
    public List<Manufacturer> getAll() throws Exception {
        List<Manufacturer> manufacturers=new ArrayList<>();
        try {
            
            String upit="SELECT id, name FROM Manufacturer";
            Statement statement=ConnectionFactory.getInstance().getConnection().createStatement();
            ResultSet rs=statement.executeQuery(upit);
            
            while(rs.next()){
                Manufacturer manufacturer=new Manufacturer();
                manufacturer.setId(rs.getLong("id"));
                manufacturer.setName(rs.getString("name"));
                manufacturers.add(manufacturer);
            }
            rs.close();
            statement.close();
            
        } catch (SQLException ex) {
            ex.printStackTrace();
            throw new Exception("Greska prilikom citanja Manufacturera!\n" + ex.getMessage());
        }
        return manufacturers;
    }
    
}
